LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextShapesSupplier Interface Referencepublished

provides the collection of com::sun::star::drawing::TextShapes. More...

`import"XTextShapesSupplier.idl";`

Inheritance diagram for XTextShapesSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getShapes ()
| returns the collection of shapes. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the collection of com::sun::star::drawing::TextShapes.

## Member Function Documentation

## ◆ getShapes()

com::sun::star::container::XIndexAccess getShapes | ( |  | ) |

returns the collection of shapes.

See also
  com::sun::star::drawing::DrawPage

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextShapesSupplier.idl